Subject: Re: linux-next: build failure after merge of the iio tree

From: Jonathan Cameron <[email-masked]>
Date: Thu, 9 Feb 2023 10:20:07 +0000

On Thu, 9 Feb 2023 14:38:21 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the iio tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/iio/proximity/sx_common.c: In function 'sx_common_get_raw_register_config':
> drivers/iio/proximity/sx_common.c:438:55: error: implicit declaration of function 'acpi_device_hid'; did you mean 'dmi_device_id'? [-Werror=implicit-function-declaration]
>   438 |         snprintf(prop, ARRAY_SIZE(prop), "%s,reg_%s", acpi_device_hid(adev), reg_def->property);
>       |                                                       ^~~~~~~~~~~~~~~
>       |                                                       dmi_device_id
> drivers/iio/proximity/sx_common.c:438:44: error: format '%s' expects argument of type 'char *', but argument 4 has type 'int' [-Werror=format=]
>   438 |         snprintf(prop, ARRAY_SIZE(prop), "%s,reg_%s", acpi_device_hid(adev), reg_def->property);
>       |                                           ~^          ~~~~~~~~~~~~~~~~~~~~~
>       |                                            |          |
>       |                                            char *     int
>       |                                           %d
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   91af1d6c497b ("iio: proximity: sx_common: Add old register mapping")
> 
> I have reverted that commit for today.
> 

Thanks,  I misdiagnosed the issue in previous attempt to fix this.
Problem is lack of stub for that function in !CONFIG_ACPI
(not as I thought a missing include - which was also the case).

As that will need an ACPI related header change to avoid ifdef nastiness
in the driver I'll drop the patch from my tree and we can get back
to this next cycle.

Thanks again,

Jonathan